include	clib.inc
include	conio.inc

PPROC	rcmemsize, rc:dword, dflag:word
	mov	ax,word ptr [rc+2]
	mov	dx,ax
	mul	ah
	add	ax,ax
	test	dflag,_D_SHADE
	jz	rcmemsize_end
	add	dl,dh
	add	dl,dh
	mov	dh,0
	sub	dx,2
	add	ax,dx
    rcmemsize_end:
	ret
PEND	rcmemsize

	END